<!DOCTYPE html>
<html lang="es">
<head>
    <title>Los API JavaScript de Html5</title>
    <meta charset=utf-8>

    <head>
        <style type="text/css">
        #map_canvas {
            height: 300px;
            width: 400px;
        }
        </style>
    </head>
    <script src="http://maps.google.com/maps/api/js?sensor=false">
    </script>
    <script type="text/javascript">
    if (navigator.geolocation) {
        navigator.geolocation.getCurrentPosition(ver_mapa, error);
    } else {
        alert("Lo sentimos, su navegador no soporta la geolocalización");
    }
    // Success callback function
    function ver_mapa(pos) {
        var latitud = pos.coords.latitude;
        var longitud = pos.coords.longitude;
        var thediv = document.getElementById('localisationinfo');
        thediv.innerHTML = '<p>Su longitud es <b>'+longitud + ' </b> y su latitud es <b> ' + latitud + ' </b><p> ';
        var latlng = new google.maps.LatLng(latitud, longitud);
        var myOptions = {
            zoom: 15,
            center: latlng,
            mapTypeId: google.maps.MapTypeId.ROADMAP
        };
        var map = new google.maps.Map(document.getElementById("map_canvas"), myOptions);
        var marker = new google.maps.Marker({
            position: latlng,
            map: map,
            title: "Usted se encuentra aquí"
        });
    }

    function error(pos) {
        alert('Error');
    }
    </script>
</head>

<body>
    <h2>Html5 geolocalización</h2>
    <div id="map_canvas"></div>
    <div id="localisationinfo"></div>
</body>

</html>